
var latitude;//纬度
var longitude;//经度
var currCity;//选择的城市
var cityList;//城市列表
var locationFlag = false;//定位标识,定位是否成功

var currentCityData;

/*
 *	加载城市数据
 */
function loadCityData(){
//	console.log("----------------loadCityData-----start");
	mui.ajax({
      url : web_root + '/appService?method=loadCityData',
      type : 'post',
      dataType:'json',
      data:{
		"auth":auth_code,
		"wecha_id":getWechaId(),
	  }, 
	  beforeSend: function(data) {
	  	if(mui.os.plus){
	  		plus.nativeUI.showWaiting(); 
	  		mui('body').progressbar({progress: undefined}).show();
	  	}
      },
	  complete: function() {
	  	if(mui.os.plus){
			plus.nativeUI.closeWaiting();
			mui('body').progressbar().hide();
		}
	  },
      timeout : 100000,
      success : function(data){
//		console.info("------>"+JSON.stringify(data));
  		currentCityData = data;
  		initCityData(data);
      },
      error : function(xhr,type,errorThrown){
      	
      }
    });
}


function turnToCinemaPage(cityName){
	
//	console.log("-------------turnToCinemaPage------  start-----params:" + cityName);
	//选择城市名称，放入缓存
	plus.storage.setItem("currCity",cityName);
	
	openPage('select_cinema','movie/filmDetails.html',{selectCity:cityName});
}


function initCityData(data){
//	console.log("---------------initCityData---start");
	var firstWordsItem = $("#firstWordsList");
	var cityListItem = $("#cityListItem");
	var representCity = $("#representCity");
	firstWordsItem.find("a").remove();
	cityListItem.find("li").remove();
	representCity.empty();
	var index = 0;
	$.each(data,function(index,item){
		var word_content = "<a>" + item.firstWord + "</a>";
		firstWordsItem.append(word_content);
		var title_content  = "<li data-group=\"" + item.firstWord + "\" class=\"mui-table-view-divider mui-indexed-list-group\">" + item.firstWord + "</li>";
		cityListItem.append(title_content);
		$.each(item.cityList, function(i,city) {
			var content = "<li data-value=\"" + city.City + "\" data-tags=\"" + city.CityName + "\" class=\"mui-table-view-cell mui-indexed-list-item\"  >" + city.City + "</li>";
			cityListItem.append(content);
			
			if(index < 3){
				var content = "<div class=\"hotcity\" >" + city.City + "</div>";
				representCity.append(content);
				index++;
			}
		});
	});
	
}

function searchCity(){
	var search_word = "";
	if(isNull(search_word))
	{
		return;
	}
	var firstWordsItem = $("#firstWordsList");
	var cityListItem = $("#cityListItem");
	firstWordsItem.find("a").remove();
	cityListItem.find("li").remove();
	$.each(currentCityData,function(index,item){""
		var tag = true;
		$.each(item.cityList, function(i,city) {
			if(!isNull(city.City) && city.City.indexOf(search_word) > -1){
				
				if(tag)
				{
					var word_content = "<a>" + item.firstWord +  "</a>";
					firstWordsItem.append(word_content);
					tag = false;
				}
				var content = "<li data-value=\"" + city.City + "\" data-tags=\"" + city.CityName + "\" class=\"mui-table-view-cell mui-indexed-list-item\">" + city.City + "</li>";
				cityListItem.append(content);
			}
		});
	});
	
	
}

function isNull(value){
	if(value == null || value == undefined || value == ""){
		return true;
	}
	return false;
}


/**
 * 定位
 */
function getCurrentLocation(){
	var title = $("#current-city_name")
	var local_city = plus.storage.getItem("localCity");
	var current_city = "";
	var flag = true;
	
	plus.geolocation.getCurrentPosition(function(position) {
		var codns = position.coords; //获取地理坐标信息
		var geoc = new BMap.Geocoder();
		var pt = new BMap.Point(codns.longitude, codns.latitude);
		geoc.getLocation(pt, function(rs) {
			var addComp = rs.addressComponents;
			var lo = addComp.city + "," + addComp.district + "," + addComp.street + "," + addComp.streetNumber;
			current_city = addComp.city;
//			console.log(lo);
			flag = false;//定位成功
			plus.nativeUI.closeWaiting();
		});
	}, function(e) {
		current_city = "定位失败";
		console.log("获取定位位置信息失败：" + e.message);
		plus.nativeUI.closeWaiting();
	}, {
		provider: 'baidu'
	});
	
	if (db_lo == null) {
		title.html(current_city);
	} else {
		if(flag){
			return;
		}
		if (local_city != current_city) {
			mui.confirm('发现地址变化，当前为：' + current_city + '\r\n是否切换？', '位置变更', ['是', '否'], function(e) {
				if (e.index == 0) {
					plus.storage.setItem("localCity", current_city);
					title.html(current_city);
				}
			});
		}
	}
}
