/*
 * 公用AJax
 * url：请求地址
 * type： post/get等等
 * dataType: 数据返回格式，json,xml,html等等
 * param: 数据参数
 * beforeSendFn: 发送前处理函数
 * successFn：成功回掉函数，根据自己需要逻辑传入对应方法
 * errorFn：错误处理函数
 * completeFn：完成请求处理函数
 * reqFrom: 请求源，做错误输出判断，最好为字符串
 */
// 请求开始
function AjaxBeforeSendFn() {
	plus.nativeUI.showWaiting('');
}
// 请求错误
function AjaxErrorFn(msg, reqFrom) {
	console.log(reqFrom + '数据请求错误:' + JSON.stringify(msg));
}
// 请求完成
function AjaxCompleteFn() {
	plus.nativeUI.closeWaiting();
}

function Ajax(url, type, dataType, param, beforeSendFn, successFn, errorFn, completeFn, reqFrom) {
	$.ajax({
		url: url,
		type: type,
		data: param,
		dataType: dataType,
		beforeSend: function() {
			beforeSendFn();
		},
		success: function(data) {
			successFn(data);
		},
		error: function(msg) {
			errorFn(msg, reqFrom);
		},
		complete: function() {
			completeFn();
		}
	});
}