mui.init()
// 全局变量
/*影院ID 默认值*/
var cinemaCode;
/*账户ID 默认值*/
var wecha_id;
/*会员卡ID*/
var cardNo;
//当前影院信息
var currentSelectCinema;
//当前所选影院ID
var selectCinemaCode;
/*支付金额*/
var chargeAmount;
/*支付类型*/
var OrderPayType;
/*选择活动ID*/
var selectCrmChargeActivity;
// 请求会员卡参数
var api_card;
// 支付宝支付失败 orderNumber参数
var orderNumber;
// 初始化 全局
function initAll() {
	// 初始化
	init();
	// 监听事件
	setEventListen();

}

// 初始化
function init() {
	// 判断是否为手机端
	if(mui.os.plus) {
		// 从缓存中获取影院code
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		// 微信id
		wecha_id = getWechaId();
		// 当前所选影院
		currentSelectCinema = plus.storage.getItem("currentCinema");
		//	字符串转JSON
		currentSelectCinema = $.parseJSON(currentSelectCinema);
	}

	//	根据缓存影院，填充影院名字
	if(!isNull(currentSelectCinema)) {
		$("#belongCinemaName").html(currentSelectCinema.cinemaName);
	} else {
		mui.toast("请先选择影院!");
	}
	//	根据影院请求会员卡信息
	getCardInfo();
}

//第一步: 根据影院请求会员卡信息: api_card
function getCardInfo() {
	//	重置会员卡参数
	api_card = {
		"auth": auth_code,
		"wecha_id": getWechaId(),
		"selectCinemaCode": cinemaCode,
		"app": "true"
	};
	//	根据wecha_id判断是否登录 auth_code判断是否异常
	var myInfo = $.trim(plus.storage.getItem("myInfo"));
	if(isNull(myInfo)) {
		mui.toast("请您先登录!");
	} else if(isNull(auth_code)) {
		mui.toast('奥斯卡ID错误!');
	} else if(isNull(cinemaCode)) {
		mui.toast('请先选择影院!');
	} else {
		//	根据默认的数据（用户ID，影院ID，authID）直接请求电影卡数据
		Ajax(web_root + '/appService?method=loadMemberRechargeData', 'post', true, api_card, 'json', AjaxBeforSendFn, creatMenberHtml, AjaxCompleteFn, '获取会员卡');
	}
};

//生成会员卡，影院是否具有充值权限
function creatMenberHtml(data) {
	//	是否拥有创建权限
	var createFlag = false;
	//	判断是否存在会员卡信息
	if(!isNull(data) && data.msgCode == "0") {
		//	拥有创建权限
		createFlag = true;
	} else {
		//	判断是否绑定会员卡1001 错误信息10011
		if(data.msgCode == "1001") {
			mui.confirm('您可以跳转到会员卡绑定界面，去绑定您的会员卡。', '请先绑定会员卡', ['否', '切换'], function(e) {
				//	不跳转绑定界面
				if(e.index == 0) {
					mui.toast('您不绑定会员卡将无法充值');
				} else {
					//	跳转到会员卡绑定界面
					changePage('rechargeBindCard');
				}
			})
		} else if(data.msgCode == "10011") {
			//	影院错误信息
			mui.toast('无法获取会员卡相关信息!');
		}
	};
	//	判断是否存在会员卡信息
	if(isNull(data.userBoundCardDto)) {
		mui.confirm('会员卡信息不存在,即将为您切换到会员卡绑定界面', '会员卡错误', ['否', '切换'], function(index) {
			if(index == 1) {
				//  跳转到会员卡绑定界面
				changePage('rechargeBindCard');
			} else {
				mui.toast("会员卡信息不存在!");
				createMenberCardHtml(data);
			}
		})
	};
	//	判断是否拥有创建权限
	if(createFlag == true) {
		//	开始创建会员卡
		createMenberCardHtml(data)
	};
};

//创建会员充值
function createMenberCardHtml(data) {
	/*判断是否存在当前电影院  填充影院名字*/
	if(!isNull(currentSelectCinema)) {
		$("#belongCinemaName").html(currentSelectCinema.cinemaName);
		selectCinemaCode = currentSelectCinema.cinemaCode;
	} else {
		if(isNull(data.userBoundCardDto.belongCinemaCode) || data.userBoundCardDto.belongCinemaCode.length < 8) {
			selectCinemaCode = currentSelectCinema.CinemaCode;
			$("#belongCinemaName").html(currentSelectCinema.cinemaName);
		} else {
			selectCinemaCode = data.userBoundCardDto.belongCinemaCode;
			$("#belongCinemaName").html(data.userBoundCardDto.belongCinemaName);
		}
	}

	/*填充会员卡信息*/
	var userBoundCard = data.userBoundCardDto;
	//	会员绑定编号
	cardNo = userBoundCard.CardNo;
	//	会员卡类名
	var memberCardName = userBoundCard.memberLevelName;
	//	会员卡号码
	var memberCardNo = userBoundCard.memberCardNo;
	//	会员电话
	var memberPhone = userBoundCard.memberPhone;
	//	剩余余额
	var memberBalance = userBoundCard.memberBalance;
	//	判断是否存在相应内容
	if(isNull(memberCardNo)) {
		memberCardNo = '未开卡';
	}
	if(isNull(memberPhone)) {
		memberPhone = '未填写';
	}
	if(isNull(memberBalance)) {
		memberBalance = 0;
	}
	//	设置会员卡背景色
	var _index;
	//	 会员卡色值
	var cardColor = [
		['#C2C2C2', '#D9D8D8'], // 普通卡
		['#ABC9DD', '#D3E1EC'], // 银卡
		['#E6B45D', '#F0C279'], // 金卡
		['#262626', '#504E4E'], // 默认卡
	];
	//	判断卡片类型
	switch(memberCardName) {
		case '金卡':
			_index = 2
			break;
		case '银卡':
			_index = 1
			break;
		case '普通卡':
			_index = 0
			break;
		default:
			_index = 3
			break;
	};
	//  var bgColor='"-webkit-linear-gradient(left,' + cardColor[_index][0] + ',' + cardColor[_index][1] + ');"';

	var cardHtml = '<div class="wipcardwarp" id="cardWindow" style="background:-webkit-linear-gradient(left,' + cardColor[_index][0] + ',' + cardColor[_index][1] + ');">' +
		'<ul class="wipcard-l">' +
		'<li class="font24-fff" id="memberCardLvName">' + memberCardName + '</li>' +
		'<li class="font12-fff">手机:<span id="memberPhone">' + memberPhone + '</span></li>' +
		'<li class="font12-fff">卡号:<span id="memberCardNo">' + memberCardNo + '</span></li>' +
		'</ul>' +
		'<div class="bgimg"></div>' +
		'</div>' +
		'<div class="replacecard">' +
		'<div class="font14-333" style="display: inline-block;padding-left: 15px;">余额:<span class="font14-ff5" id="memberBanlance">' + memberBalance.toFixed(2) + '元</span></div>' +
		'<a href="javascript:changePage(\'rechargeBindCard\')" style="display:none;">' +
		'<div class="font14-333" style="display: inline-block;float: right;margin-right: 50px;">更换会员卡</div>' +
		'</a>' +
		'<span class="ui-ico-act ui-fr" style="display:none;">' +
		'<img src="../img/login_qiehuan.png" style="width: 25px;height: 25px;"/>' +
		'</span>' +
		'</div>';
	//				alert(cardHtml);
	//	显示会员卡模板
	$("#menberCardWindow").html(cardHtml);

	/*填充活动信息*/
	var chargeActivityList = data.chargeActivityList;

	//	在对应元素中插入
	var rechargeUl = $('#rechargeActivityUl');
	//	插入内容 不参与活动
	var htmlValue = '<li class="active-item" onclick="showMoreCharge();">' +
		'<p>不参与活动</p>' +
		'<a>' +
		'<div class="img-btn">' +
		'<img src="../images/checkbox_normal.png" />' +
		'</div>' +
		'</a>' +
		'</li>';
	//	判断影院是否存在活动内容
	if(!isNull(chargeActivityList)) {
		//	拼接活动
		for(var i = 0; i < chargeActivityList.length; i++) {
			var activityItem = '<li class="active-item active-active" data-ChargeActivityID="' + chargeActivityList[i].ChargeActivityID + '" data-ChargeAmountExpressions="' + chargeActivityList[i].ChargeAmountExpressions + '" data-RuleGroupRemark="' + chargeActivityList[i].RuleGroupRemark + '"><p>' + chargeActivityList[i].Name + '</p><a href="javascript:void(0);"><div class="img-btn"><img src="../images/checkbox_normal.png" /></div></a></li>';
			htmlValue += activityItem;
		}
	}
	rechargeUl.html(htmlValue);
	//	监听活动修改活动样式
	$("#rechargeActivityUl").off();
	$("#rechargeActivityUl").on('click', 'li', function() {
		//	清除所有活动 active样式 修改显示图标
		$(".active-item").removeClass('active-active');
		$(".active-item img").attr("src", '../images/checkbox_normal.png');
		//	设置当前选择
		$(this).addClass('active-active');
		$('.active-active img').attr('src', '../images/checkbox_selected.png');
	});
	// 监听活动
	$(".active-active").off();
	$(".active-active").on('click', function() {
		var RuleGroupRemark = $(this)[0].dataset.rulegroupremark,
			ChargeAmountExpressions = $(this)[0].dataset.chargeamountexpressions,
			ChargeActivityID = $(this)[0].dataset.chargeactivityid;
		// 显示信息 修改
		showInfo(RuleGroupRemark, ChargeAmountExpressions, ChargeActivityID);
	})
	//	默认点击参加活动 除非没有活动
	if($("#rechargeActivityUl li").length != 1) {
		$("#rechargeActivityUl li").eq(1).click();
	} else {
		$("#rechargeActivityUl li").eq(0).click();
	};
	/*支付方式*/
	var wx_pay = $("#wxPay");
	var zfb_pay = $("#zfbPay");
	//	支付开关
	var isDefaultSelectPay = false;
	//	判断是否存在支付方式 支付宝
	if(userBoundCard.payTypes.indexOf('ALIPAY') >= 0) {
		//	显示支付方式
		zfb_pay.show();
		zfb_pay.click();
		isDefaultSelectPay = true;
	} else {
		zfb_pay.hide();
	}
	//	判断是否存在支付方式 微信
	if(userBoundCard.payTypes.indexOf('WEIXIN') >= 0) {
		wx_pay.show();
		if(!isDefaultSelectPay) {
			wx_pay.click();
			isDefaultSelectPay = true;
		}
	} else {
		wx_pay.hide();
	}
	//	支付错误信息
	var errorMsg;
	//	判断是否存在支付
	if(userBoundCard.payTypes.indexOf('ALIPAY') == -1 && userBoundCard.payTypes.indexOf('WEIXIN') == -1) {
		errorMsg = "由于影院还没配置充值支付方式，暂时不能为您充值";
	}
	//	存在错误信息
	if(!isNull(errorMsg)) {
		mui.confirm(errorMsg + ",是否返回首页?", '影院支付错误', ['切换影院', '返回首页'], function(e) {
			if(e.index == 0) {
				changePage('changeCinema');
			} else {
				changePage('homePage');
			}
		});
	}

};

//展示活动信息 li内a标签触发
function showInfo(msg, money, ChargeActivityID) {
	//	信息提示
	mui.confirm(msg, '活动详情', ['确定'], function() {
		mui.toast('欢迎参与活动!');
	})
	//	隐藏充值价格模块
	$(".recharge-content").css("display", "none");
	//	显示活动充值
	// $(".activity-recharge-content").css("display", "block");
	//	修改ChargeActivityID
	selectCrmChargeActivity = ChargeActivityID;
	//	修改充值价格显示
	changeChargeMountInfo(money);
};

// 整合跳转 修改电影院界面 绑定会员卡界面
function changePage(type) {
	//	传递参数
	var param;
	//	跳转路由
	var urlPath;
	//	打开界面viewID
	var viewID = type;
	//	根据Type设置参数
	switch(type) {
		case 'changeCinema':
			urlPath = '../pages/cinema-list.html';
			param = {
				"comeFromCinema": true,
				"from_page": "member-recharge"
			};
			//	跳转页面
			openPage('cinema-list', urlPath, param);
			break;
		case 'rechargeBindCard':
			urlPath = '../pages/mine/rechargeBindCard.html';
			param = {
				"auth": auth_code,
				"wecha_id": wecha_id
			};
			//	跳转页面
			openPage(type, urlPath, param);
			break;
		case 'homePage':
			mui.back = function() {
				var arr = ["pages/home.html", "pages/shop.html", "pages/activity.html", "pages/mine.html", "filmDetails"];
				var home = plus.webview.getLaunchWebview().id;
				var all = plus.webview.all();
				for(var i in all) {
					if($.inArray(all[i].id, arr) == -1 && all[i].id != home) {
						console.log(all[i].id);
						plus.webview.close(all[i]);
					}
				}
				console.log(JSON.stringify(plus.webview.all()));
				plus.webview.getLaunchWebview().show();
			};
			mui.back();
			break;
		default:
			mui.toast("无法跳转页面!");
	};
};

//监听函数: 选择影院 修改 selectCinemaCode || 选择会员卡 修改 CrmMemberCard
function setEventListen() {
	var initFn = function() {
		//重新刷新 
		initAll()
	}
	// 移除所以监听
	$(window).off();
	// 监听影院修改
	$(window).on('changeCinema', initFn);
	//	监听会员卡修改
	$(window).on('changeCard', initFn);
	//	监听充值金额栏
	$("#chargeValUl").off()
	$("#chargeValUl").on('tap', 'li', function() {
		//	移除所有的活动样式
		$("#chargeValUl li").removeClass('active');
		//	设置当前活动样式
		$(this).addClass('active');
		//	获取输入价格
		var money = $("#chargeValUl li.active .chargeVal").html();
		//	设置价格
		changeChargeMountInfo(money);
	});

	//	监听动态输入的价格
	$("#inputCharge").off();
	$("#inputCharge").on('blur', getInputChargeAmount);

	//	监听支付
	$("#recharegeBtn").off();
	$("#recharegeBtn").on('tap', payMoney);

	// 支付类型
	$('#payFor ul li').on('click', function() {
		// 获取支付方式
		var type = $(this)[0].dataset.paytype;
		// 调用修改支付
		payFor(type);
	})
};

//展示充值价格信息栏
function showMoreCharge() {
	//	隐藏活动充值
	$(".activity-recharge-content").css("display", "none");
	//	显示充值
	$(".recharge-content").css("display", "block");
	//	设置活动ID 为undefind
	selectCrmChargeActivity = undefined;
	//	移除所有活动样式
	$("#chargeValUl li").removeClass('active');
	//	重置充值价格
	changeChargeMountInfo(0);
};

//获取输入金额
function getInputChargeAmount() {
	//	获取输入的价格
	var money = $("#inputCharge").val();
	//	判断输入的值
	var type = /^\d+$/;
	//	正则校验 输入金额是否合格
	if(type.test(money) && money != 0) {
		money = money.replace(/^0*/, "");
		changeChargeMountInfo(money);

	} else if(isNull(money)) {
		money = 0;
		mui.toast("请输入非空的金钱数额!")
	} else {
		money = 0;
		mui.toast("请输入正整数的金钱数额!");
		//	清除内容
		$("#inputCharge").val("");
	}
	changeChargeMountInfo(money);
}

//修改充值栏显示价格
function changeChargeMountInfo(money) {
	$("#price").html(money);
	//	设置充值金额
	chargeAmount = money;
};

//充值支付
function payMoney() {
	//	请求活动支付参数
	var api_activity = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"app": 'true',
		"selectCinemaCode": selectCinemaCode,
		"CrmMemberCard": cardNo,
		"chargeAmount": chargeAmount,
		"OrderPayType": OrderPayType,
		"selectCrmChargeActivity": selectCrmChargeActivity,
		"chargeOnly": "true"
	};

	//	请求直接支付API
	var api_direct = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"app": 'true',
		"selectCinemaCode": selectCinemaCode,
		"CrmMemberCard": cardNo,
		"ChargeAmount": chargeAmount,
		"OrderPayType": OrderPayType,
		"chargeOnly": "true"
	};
	//	判断金额是零
	if(chargeAmount == 0) {
		mui.toast("您输入的金额为零，不可充值!");
		return;
	}
	 
	//	请求支付数据 接口地址
	var urlPath = "/appService?method=initCrmCharge";
	//	请求支付数据 数据
	var Data;
	//	请求类型
	var type;
	//	根据是否存在selectCrmChargeActivity判断是否是活动支付
	if(!isNull(selectCrmChargeActivity)) {
		//	请求活动支付
		Data = api_activity;
		type = 'api_activity';
	} else {
		//	请求直接支付
		Data = api_direct;
		type = 'api_direct';
	}
	//	请求数据
	Ajax(web_root + urlPath, 'post', 'true', Data, 'json', AjaxBeforSendFn, payType, AjaxCompleteFn, '支付请求');
}

// 设置支付方式
function payFor(type) {
	//	设置支付方式
	OrderPayType = type
	// 重置图片为背景
	$("#payFor li img").attr("src", "../images/checkbox_normal.png");
	// 根据所选设置背景为选中
	switch(type) {
		case 'WEIXIN':
			$("#wxPay img").attr("src", "../images/checkbox_selected.png");
			break;
		case 'ALIPAY':
			$("#zfbPay img").attr("src", "../images/checkbox_selected.png");
	}
};

//根据支付请求返回数据 进行处理
function payType(data) {
	//	正在支付 支付宝 开关
	var alipayPaying = false;
	// 请求参数
	var param = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"app": "true",
		"orderNumber": ''
	};
	//	确认数据状态
	if(data.state == 1) {
		//	判断支付类型
		if(OrderPayType == 'ALIPAY') {
			// 跳到支付宝支付界面
			plus.storage.setItem("showPrint", "false");
			var channel = null;
			console.log("支付宝支付：", JSON.stringify(data));
			if(alipayPaying) {
				return;
			}
			plus.payment.getChannels(function(channels) {
				channel = channels[0];
				alipayPaying = true;
				plus.payment.request(channel, data.sHtmlText,
					function(result) {
						alipayPaying = false;
						param.orderNumber = data.OrderNumber;
						orderNumber = data.OrderNumber;
						console.log("支付宝支付正常返回结果-->" + JSON.stringify(result));
//						mui.alert("支付成功！", function() {
//							queryAlipayResult(param);
//						});
						plus.nativeUI.alert("恭喜您,支付成功,订单处理结果请留意订单详情,若充值失败,请联系影院客服人工退款。", function() {
						openPage("orderRecord", "/pages/mine/orderRecord.html", {
							type: "chargeMoney"
						});
					});
					},
					function(error) {
						alipayPaying = false;
						console.log("支付宝支付错误返回结果-->" + JSON.stringify(error));
						if(error.code == -100 || error.code == '-100') {
							//用户取消，不做操作
							mui.toast("您取消了支付。")
						} else {
							mui.alert("支付失败：" + error.code);
							//查询并退款
							dealAlipayFail(data.PayAmount);
						}
					}
				);
			}, function(e) {
				alipayPaying = false;
				mui.alert("获取支付通道失败：" + e.message);
			});
		} else if(OrderPayType == 'WEIXIN') {
			//	微信支付
			wxPayFn(data);
		}
	} else {
		mui.confirm(data.msg, '支付错误', ['确定'], function() {
			console.log(data.msg);
		});
	}
}

// 微信支付
function wxPayFn(data) {
	var channel = null;
	plus.payment.getChannels(function(channels) {
		for(var i in channels) {
			if(channels[i].id == 'wxpay') {
				channel = channels[i];
				var wxappid = data.appid; //appid
				var prepayid = data.prepayid; //商户订单号
				var timestamp = data.timestamp; //当前时间戳
				var wxpartnerid = data.partnerid; //商户号
				var partnerKey = data.secretkey;
				var noncestr = data.noncestr;
				var signStr = "appid=" + wxappid + "&noncestr=" + noncestr + "&package=" + "Sign=WXPay" + "&partnerid=" + wxpartnerid + "&prepayid=" + prepayid + "&timestamp=" + timestamp + "&key=" + partnerKey;

				console.log("signStr:" + signStr);

				var sign = $.md5(signStr).toUpperCase(); //生成签名
				var order = '{"appid":"' + wxappid + '","noncestr":"' + noncestr + '","package":"Sign=WXPay","partnerid":"' + wxpartnerid + '","prepayid":"' + prepayid + '","timestamp":' + timestamp + ',"sign":"' + sign + '"}';

				console.log("varpay:" + JSON.stringify(order));

				plus.payment.request(channel, order, function(result) {
					plus.nativeUI.alert("恭喜您,支付成功,订单处理结果请留意订单详情,若充值失败,24小时内将自动为您退款", function() {
						openPage("orderRecord", "/pages/mine/orderRecord.html", {
							type: "chargeMoney"
						});
					});
				}, function(e) {
					if(e.message.indexOf("-2") > -1 || e.message.indexOf('User canceled') > -1) {
						//用户取消  不做处理
					} else {
						plus.nativeUI.alert("支付失败：" + JSON.stringify(e));
					}
				});
			}
		}
	}, function(e) {
		alert("获取支付通道失败：" + e.message);
		return;
	});

}
// 支付宝查询参数
var api_zfb_param = {};
// 主动向支付宝发起查询支付结果，查询后后台进行处理
function queryAlipayResult(param) {
	api_zfb_param = param;
	Ajax(web_root + "/appService?method=handleAlipayAppRechargeTrade", 'post', 'true', param, 'json', AjaxBeforSendFn, queryAlipayResultSuccessFn, AjaxCompleteFn, '主动向支付宝发起查询支付结果');
};

function queryAlipayResultSuccessFn(data) {
	if(data.code == 'success') {
		// 支付成功
		plus.storage.setItem("showPrint", "true");
		// 跳转到支付成功页面
		openPage('paySuccessCard', 'mine/paySuccessCard.html', {
			"orderNumber": api_zfb_param.orderNumber,
			"auth": auth_code,
			"wecha_id": wecha_id
		});
	} else {
		// 支付宝支付失败
		if(data.code == 'update_pay_error' || data.code == 'fail') {
			// 支付宝支付成功，但充值失败
			mui.alert(data.msg + ",但充值失败,请联系影院客服人工退款。", function() {

			});
		} else {
			mui.alert(data.msg);
		}
	}
}

//支付宝支付失败，主动向支付宝发起查询支付结果，查询若支付成功，则进行退款
function dealAlipayFail(payAmount) {
	// 获取基础参数
	var param = getAppBaseParam();
	// 充值编号
	param.orderNumber = orderNumber; //"01180329196800009";
	// 充值金额
	param.payAmount = payAmount;
	//订单类型;0:电影票;1:充值;2:购买票券
	param.orderType = '1';
	// 获取数据
	Ajax(web_root + "/appService?method=alipayAppTradeRefund", 'post', 'true', param, 'json', AjaxBeforSendFn, dealAlipayFailSuccessFn, AjaxCompleteFn, '支付宝支付失败，主动向支付宝发起查询支付结果');
}

//支付宝支付失败，调用接口成功函数
function dealAlipayFailSuccessFn(data) {

}

//查询微信订单信息
function queryWXOrder(orderNum) {

	var param = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"cinemaCode": cinemaCode,
		"orderNumber": orderNum,
		"currentIp": returnCitySN["cip"]
	}
	console.log(JSON.stringify(param));
	$.ajax({
		url: web_root + "/appService?method=queryWXOrder",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("正在加载,请稍后");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {
			console.log(data);
			if(data.resultCode === "SUCCESS") {
				openPage('paySuccessCard', 'mine/paySuccessCard.html', {
					"orderNumber": orderNum,
					"auth": auth_code,
					"wecha_id": wecha_id
				});

			} else {
				mui.alert(data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			alert(type);
			console.log(errorThrown);
		}
	});
}

// 数据请求 beforSend
function AjaxBeforSendFn() {
	plus.nativeUI.showWaiting("");
}

// 数据请求 complete
function AjaxCompleteFn() {
	plus.nativeUI.closeWaiting();
}

// 数据请求
function Ajax(url, type, async, param, dataType, beforSenFn, successFn, compeletFn, reqFrom) {
	$.ajax({
		url: url,
		type: type,
		async: async,
		data: param,
		dataType: dataType,
		beforeSend: function() {
			beforSenFn();
		},
		success: function(data) {
			console.log(reqFrom, '数据请求成功：', JSON.stringify(data));
			successFn(data);
		},
		error: function(msg, xhr, type, errorThrown) {
			console.log(reqFrom, "数据请求失败：", JSON.stringify(msg));
			// console.log(JSON.stringify(xhr));
			// console.log(type);
			// console.log(errorThrown);
		},
		complete: function() {
			compeletFn();
		}

	})
}
mui.plusReady(function() {
	initAll();
});