//请求参数
/*影院ID 默认值*/
var cinemaCode = '62549174';
/*账户ID 默认值*/
var wecha_id = 'oBte8uKoKfrNOFWULkhmoO3deEjQ';
/*会员卡ID*/
var cardNo;
//当前影院信息
var currentSelectCinema;
//当前所选影院ID
var selectCinemaCode;
/*支付金额*/
var chargeAmount;
/*支付类型*/
var OrderPayType;
/*选择活动ID*/
var selectCrmChargeActivity;
//	请求会员卡参数
var api_card = {
	"auth": auth_code,
	"wecha_id": wecha_id,
	"selectCinemaCode": cinemaCode
};

//启动函数
//$(function() {
mui.plusReady(function(){
	//	进行初始化
	init();
	//	启用监听事件
	setEventListen();
});

//初始化： 1.填充当前影院名字  2.根据默认的信息去加载会员卡
function init() {
	// 请求服务端跨域
	if(mui.os.plus) {
		cinemaCode = plus.storage.getItem("currentCinemaCode");
		wecha_id = getWechaId();
		currentSelectCinema = plus.storage.getItem("currentCinema");
		//	字符串转JSON
		currentSelectCinema = $.parseJSON(currentSelectCinema);
	};
	//	重置会员卡参数
	api_card = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"selectCinemaCode": cinemaCode
	};
	//	1.填充当前影院名字
	if(!isNull(currentSelectCinema)) {
		$("#belongCinemaName").html(currentSelectCinema.cinemaName);
	} else {
		mui.toast("请先选择影院!");
	}
	//	2.根据影院请求会员卡信息
	getCardInfo();
};

//第一步: 根据影院请求会员卡信息: api_card
function getCardInfo() {
	var Data = api_card;
	//	根据wecha_id判断是否登录 auth_code判断是否异常
	if(isNull(wecha_id)) {
		mui.toast("请您先登录!");
	} else if(isNull(auth_code)) {
		mui.toast('奥斯卡ID错误!');
	} else if(isNull(cinemaCode)) {
		mui.toast('请先选择影院!');
	} else {
		//	根据默认的数据（用户ID，影院ID，authID）直接请求电影卡数据
		getData('api_card', Data, '/appService?method=loadMemberRechargeData');
	}
};

//请求数据
function getData(type, Data, Url) {
	//	请求数据
	$.ajax({
		type: "post",
		url: web_root + Url,
		async: true,
		dataType: 'json',
		data: Data,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		success: function(data) {
			//	判断请求回的数据是否为空 undefined
			if(!isNull(data)) {
				//		根据请求的类型做相应的事情
				switch(type) {
					case 'api_card':
						//	生成会员卡，影院是否具有充值权限
						creatMenberHtml(data)
						break;
					case 'api_activity':
						payType(data);
						break;
					case 'api_direct':
						payType(data);
						break;
					default:
						mui.toast('生成数据错误：' + type);
						break;
				}
			}
		},
		error: function(msg) {
			console.log(msg)
			switch(type) {
				case 'api_card':
					mui.toast('请求会员卡错误：' + msg)
					break;
				case 'api_activity':
					mui.toast('请求支活动支付错误：' + msg)
					break;
				case 'api_direct':
					mui.toast('请求正常支付错误：' + msg)
					break;
				default:
					mui.toast("请求类型错误：" + type)
					break;
			}
		}
	});
};

//监听函数: 选择影院 修改 selectCinemaCode || 选择会员卡 修改 CrmMemberCard
function setEventListen() {
	//	监听影院修改
	window.addEventListener('changeCinema', function() {
		//	修改selectCinemaCode
		currentSelectCinema = plus.storage.getItem("currentCinema");
		//	再重新请求一次会员卡
		getCardInfo();
	});
	//	监听会员卡修改
	window.addEventListener('changeCard', function() {
		//	修改CrmMemberCard
		cardNo = plus.storage.getItem("cardNo");
	});
	//	监听活动修改活动样式
	$("#rechargeActivityUl").on('click', 'li', function() {
		//	清除所有活动 active样式 修改显示图标
		$(".active-item").removeClass('active-active');
		$(".active-item img").attr("src", '../images/checkbox_normal.png');
		//	设置当前选择
		$(this).addClass('active-active');
		$('.active-active img').attr('src', '../images/checkbox_selected.png');
	});
	//	默认点击参加活动 除非没有活动
	if($("#rechargeActivityUl li").length != 1) {
		$("#rechargeActivityUl li").eq(1).click();
	} else {
		$("#rechargeActivityUl li").eq(0).click();
	};
	//	监听充值金额栏
	$("#chargeValUl").on('click', 'li', function() {
		//	移除所有的活动样式
		$("#chargeValUl li").removeClass('active');
		//	设置当前活动样式
		$(this).addClass('active');
		//	获取输入价格
		var money = $("#chargeValUl li.active .chargeVal").html();
		//	设置价格
		changeChargeMountInfo(money);
	});
	//	监听动态输入的价格
	$("#inputCharge").blur(getInputChargeAmount);
	//	监听支付
	$("#recharegeBtn").on('click', payMoney);
};

//生成会员卡，影院是否具有充值权限
function creatMenberHtml(data) {
	//	是否拥有创建权限
	var createFlag;
	//	判断是否存在会员卡信息
	if(!isNull(data) && data.msgCode == "0") {
		//			拥有创建权限
		createFlag = true;
	} else {
		//		判断是否绑定会员卡1001 错误信息10011
		if(data.msgCode == "1001") {
			mui.confirm('您可以跳转到会员卡绑定界面，去绑定您的会员卡。', '请先绑定会员卡', ['否', '切换'], function(e) {
				//	不跳转绑定界面
				if(e.index == 0) {
					mui.toast('您不绑定会员卡将无法充值');
					//	不具有创建权限
					createFlag = false;
				} else {
					//	跳转到会员卡绑定界面
					turnToBindMenberCardPage();
				}
			})
		} else if(data.msgCode == "10011") {
			//	影院错误信息
			mui.toast('抱歉无法获取会员卡相应信息!');
		}
	};
	//	判断是否存在会员卡信息
	if(isNull(data.userBoundCardDto)) {
		mui.confirm('会员卡信息不存在,即将为您切换到会员卡绑定界面', '会员卡错误', ['否', '切换'], function(index) {
			if(index == 1) {
				//  跳转到会员卡绑定界面
				turnToBindMenberCardPage();
			} else {
				mui.toast("会员卡信息不存在!");
			}
		})
	};
	//	判断是否拥有创建权限
	if(createFlag == true) {
		//	开始创建会员卡
		createMenberCardHtml(data)
	};
};

// 整合跳转 修改电影院界面 绑定会员卡界面
function changePage(type) {
	console.log(type);
	//	传递参数
	var param;
	//	跳转路由
	var urlPath;
	//	打开界面viewID
	var viewID = type;
	//	根据Type设置参数
	switch(type) {
		case 'changeCinema':
			urlPath = '../pages/mine/bindCard.html';
			param = {
				"auth": auth_code,
				"wecha_id": wecha_id
			};
			//	跳转页面
			openPage(type, urlPath, param);
			break;
		case 'bindCard':
			urlPath = '../pages/mine/bindCard.html';
			param = {
				"auth": auth_code,
				"wecha_id": wecha_id
			};
			//	跳转页面
			openPage(type, urlPath, param);
			break;
		case 'homePage':
			mui.back = function() {
				var arr = ["pages/home.html", "pages/shop.html", "pages/activity.html", "pages/mine.html", "filmDetails"];
				var home = plus.webview.getLaunchWebview().id;
				var all = plus.webview.all();
				for(var i in all) {
					if($.inArray(all[i].id, arr) == -1 && all[i].id != home) {
						console.log(all[i].id);
						plus.webview.close(all[i]);
					}
				}
				console.log(JSON.stringify(plus.webview.all()));
				plus.webview.getLaunchWebview().show();
			};
			mui.back();
			break;
		default:
			mui.toast("无法跳转页面!");
	};
};

//创建会员充值
function createMenberCardHtml(data) {
	/*判断是否存在当前电影院  填充影院名字*/
	if(!isNull(currentSelectCinema)) {
		$("#belongCinemaName").html(currentSelectCinema.cinemaName);
		selectCinemaCode = currentSelectCinema.cinemaCode;
	} else {
		if(isNull(data.userBoundCardDto.belongCinemaCode) || data.userBoundCardDto.belongCinemaCode.length < 8) {
			selectCinemaCode = currentSelectCinema.CinemaCode;
			$("#belongCinemaName").html(currentSelectCinema.cinemaName);
		} else {
			selectCinemaCode = data.userBoundCardDto.belongCinemaCode;
			$("#belongCinemaName").html(data.userBoundCardDto.belongCinemaName);
		}
	}

	/*填充会员卡信息*/
	var userBoundCard = data.userBoundCardDto;
	//	会员绑定编号
	cardNo = userBoundCard.CardNo;
	//	会员卡类名
	var memberCardName = userBoundCard.memberLevelName;
	//	会员卡号码
	var memberCardNo = userBoundCard.memberCardNo;
	//	会员电话
	var memberPhone = userBoundCard.memberPhone;
	//	剩余余额
	var memberBalance = userBoundCard.memberBalance;
	//	判断是否存在相应内容
	if(isNull(memberCardNo)) {
		memberCardNo = '未开卡';
	}
	if(isNull(memberPhone)) {
		memberPhone = '未填写';
	}
	if(isNull(memberBalance)) {
		memberBalance = 0;
	}
	//	设置会员卡背景色
	var cardColorClass;
	//	判断卡片类型
	switch(memberCardName) {
		case '金卡':
			cardColorClass = 'goldCard'
			break;
		case '黑卡':
			cardColorClass = 'blackCard'
			break;
		case '银卡':
			cardColorClass = 'silverCard'
			break;
		case '普通卡':
			cardColorClass = 'normalCard'
			break;
		default:
			cardColorClass = Math.random() * 1 - 0.5 > 0 ? 'normalCard' : 'silverCard'
			break;
	}
	//	设置属性
	$("#cardWindow").addClass(cardColorClass);
	//	渲染会员卡模板
	$("#memberCardLvName").html(memberCardName);
	$("#memberCardNo").html(memberCardNo);
	$("#memberPhone").html(memberPhone);
	$("#memberBanlance").html(memberBalance.toFixed(2) + "元");
	//	显示会员卡模板
	$("#menberCardWindow").css("display", "block");

	/*填充活动信息*/
	var chargeActivityList = data.chargeActivityList;
	//	判断影院是否存在活动内容
	if(isNull(chargeActivityList)) {
		mui.toast('影院没有活动内容哦~');
	} else {
		//	在对应元素中插入
		var rechargeUl = $('#rechargeActivityUl');
		//	插入内容
		var htmlValue = '';
		//	检验是否存在活动信息
		if(isNull(chargeActivityList)) {
			mui.toast("该影院没有活动噢~");
		} else {
			//	拼接活动
			for(var i = 0; i < chargeActivityList.length; i++) {
				var activityItem = '<li class="active-item" data-value="' + chargeActivityList[i].ChargeActivityID + '"><p>' + chargeActivityList[i].Name + '</p><a href="javascript:showInfo(\'' + chargeActivityList[i].RuleGroupRemark + '\',\'' + chargeActivityList[i].ChargeAmountExpressions + '\',\'' + chargeActivityList[i].ChargeActivityID + '\')"><div class="img-btn"><img src="../images/checkbox_normal.png" /></div></a></li>';
				htmlValue += activityItem;
			}
		}
		rechargeUl.append(htmlValue);
	};
	/*支付方式*/
	var wx_pay = $("#wxPay");
	var zfb_pay = $("#zfbPay");
	//	支付开关
	var isDefaultSelectPay = false;
	//	判断是否存在支付方式 支付宝
	if(userBoundCard.payTypes.indexOf('ALIPAY') >= 0) {
		//		显示支付方式
		zfb_pay.show();
		zfb_pay.click();
		isDefaultSelectPay = true;
	} else {
		zfb_pay.hide();
	}
	//	判断是否存在支付方式 微信 
	if((userBoundCard.payTypes.indexOf('WEIXIN') >= 0) && callType == 'weixin' && isweixin()) {
		wx_pay.show();
		if(!isDefaultSelectPay) {
			wx_pay.click();
			isDefaultSelectPay = true;
		}
	} else {
		wx_pay.hide();
	}
	//	支付错误信息
	var errorMsg;
	//	判断是否存在支付
	if(userBoundCard.payTypes.indexOf('ALIPAY') == -1 && userBoundCard.payTypes.indexOf('WEIXIN') == -1) {
		errorMsg = "由于影院还没配置充值支付方式，暂时不能为您充值";
	}
	//	存在错误信息
	if(!isNull(errorMsg)) {
		mui.confirm(errorMsg + ",是否返回首页?", '影院支付错误', ['切换影院', '返回首页'], function(e) {
			if(e.index == 0) {
				changePage('changeCinema');
			} else {
				changePage('homePage');
			}
		});
	}

};

//展示活动信息
function showInfo(msg, money, ChargeActivityID) {
	//	信息提示
	mui.alert(msg, '活动详情', ['确定'], function(e) {
		mui.toast('欢迎参与活动!');
	});
	//	隐藏充值价格模块
	$(".recharge-content").css("display", "none");
	//	显示活动充值
	$(".activity-recharge-content").css("display", "block");
	//	修改ChargeActivityID
	selectCrmChargeActivity = ChargeActivityID;
	//	修改充值价格显示
	changeChargeMountInfo(money);
};

//创建对应活动要求价格
function creatActivityChargeAmount(activityID, dataArr) {

};

//展示充值价格信息栏
function showMoreCharge() {
	//	隐藏活动充值
	$(".activity-recharge-content").css("display", "none");
	//	显示充值
	$(".recharge-content").css("display", "block");
	//	设置活动ID 为undefind
	selectCrmChargeActivity = undefined;
	//	移除所有活动样式
	$("#chargeValUl li").removeClass('active');
	//	重置充值价格
	changeChargeMountInfo(0);
};

//获取输入金额
function getInputChargeAmount() {
	//	获取输入的价格
	var money = $("#inputCharge").val();
	//	判断输入的值
	//	var type = /^\d+$/;
	//	//	正则校验 输入金额是否合格
	//	if(type.test(money) && money != 0) {
	//		money = money.replace(/^0*/, "");
	//		changeChargeMountInfo(money);
	//
	//	} else if(isNull(money)) {
	//		mui.toast("请输入非空的金钱数额!")
	//	} else {
	//		mui.toast("请输入正整数的金钱数额!");
	//		//	清除内容
	//		$("#inputCharge").val();
	//	}
	changeChargeMountInfo(money);
}
//支付方式
function payFor(type) {
	//	设置支付方式
	OrderPayType = type
	$("#payFor li img").attr("src", "../images/checkbox_normal.png");
	switch(type) {
		case 'WEIXIN':
			$("#wxPay img").attr("src", "../images/checkbox_selected.png");
			break;
		case 'ALIPAY':
			$("#zfbPay img").attr("src", "../images/checkbox_selected.png");
	}
};
//修改充值栏显示价格
function changeChargeMountInfo(money) {
	$("#price").html(money);
	//	设置充值金额
	chargeAmount = money;
};
//充值支付
function payMoney() {
	//	请求活动支付参数
	var api_activity = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"app": 'true',
		"selectCinemaCode": selectCinemaCode,
		"CrmMemberCard": cardNo,
		"chargeAmount": chargeAmount,
		"OrderPayType": OrderPayType,
		"selectCrmChargeActivity": selectCrmChargeActivity,
	};

	//	请求直接支付API
	var api_direct = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"app": 'true',
		"selectCinemaCode": selectCinemaCode,
		"CrmMemberCard": cardNo,
		"ChargeAmount": chargeAmount,
		"OrderPayType": OrderPayType,
	};
	//	判断金额是零
	if(chargeAmount == 0) {
		mui.toast("您输入的金额为零，不可充值!");
		return;
	}
	//	请求支付数据 接口地址
	var urlPath = "/appService?method=initCrmCharge";
	//	请求支付数据 数据
	var Data;
	//	请求类型
	var type;
	//	根据是否存在selectCrmChargeActivity判断是否是活动支付
	if(!isNull(selectCrmChargeActivity)) {
		//	请求活动支付
		Data = api_activity;
		type = 'api_activity';
	} else {
		//	请求直接支付
		Data = api_direct;
		type = 'api_direct';
	}
	//	请求数据
	getData(type, Data, urlPath)
}
//根据支付请求返回数据 进行处理
function payType(data) {
	//	正在支付 支付宝 开关
	var alipayPaying = false;
	var param = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"app": "true",
		"orderNumber": ''
	};
	//	确认数据状态
	if(data.state == 1) {
		//	判断支付类型
		if(OrderPayType == 'ALIPAY') {
			// 跳到支付宝支付界面
			plus.storage.setItem("showPrint", "false");
			var channel = null;
			console.log("data--->" + JSON.stringify(data));
			if(alipayPaying) {
				return;
			}
			plus.payment.getChannels(function(channels) {
				channel = channels[0];
				alipayPaying = true;
				plus.payment.request(channel, data.sHtmlText,
					function(result) {
						alipayPaying = false;
						param.orderNumber = data.OrderNumber;
						console.log("支付宝支付正常返回结果-->" + JSON.stringify(result));
						mui.alert("支付成功！", function() {
							queryAlipayResult(param);
						});
					},
					function(error) {
						alipayPaying = false;
						console.log("支付宝支付错误返回结果-->" + JSON.stringify(error));
						if(error.code == -100 || error.code == '-100') {
							//用户取消，不做操作
							mui.toast("您取消了支付。")
						} else {
							mui.alert("支付失败：" + error.code);
							//查询并退款
							dealAlipayFail(data.PayAmount);
						}
					}
				);
			}, function(e) {
				alipayPaying = false;
				mui.alert("获取支付通道失败：" + e.message);
			});
		} else if(OrderPayType == 'WEIXIN') {
			//	微信支付
			var url = "http://dev.movie365.cn/m365/weixin/vn/appPayment?auth=" +
				auth_code + "&wecha_id=" + wecha_id + "&param_url=" + data.payDto.mweb_url + "&appAccess=true";
			//   openPage('wxpayment',url,{});
			plus.runtime.openURL(url);

			mui.confirm('是否已经完成支付？', '请选择', ['支付成功', '支付失败'], function(e) {
				if(e.index == 0) {
					queryWXOrder(data.OrderNumber);
				}
			});
		}
	} else {
		mui.alert(data.msg, '支付错误', ['确定'], function() {
			console.log(data.msg);
		});
	}
}

//主动向支付宝发起查询支付结果，查询后后台进行处理
function queryAlipayResult(param) {
	$.ajax({
		url: web_root + "/appService?method=handleAlipayAppRechargeTrade",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {
			console.log("向支付宝发起查询支付结果:" + JSON.stringify(data));
			if(data.code == 'success') {
				//支付成功
				plus.storage.setItem("showPrint", "true");
				openPage('paySuccessCard', 'mine/paySuccessCard.html', {
					"orderNumber": param.orderNumber,
					"auth": auth_code,
					"wecha_id": wecha_id
				});
			} else {
				//支付宝支付失败
				if(data.code == 'update_pay_error') {
					mui.alert(data.msg);
					//  msg_new(data.msg+",若出票失败,24小时内将自动为您退款");
				} else if(data.code == 'submit_order_error') {
					//支付宝支付成功，但是确认订单失败
					mui.alert(data.msg + ",若充值失败,24小时内将自动为您退款", function() {});
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			alert(type);
			console.log(errorThrown);
		}
	});
};

//查询微信订单信息
function queryWXOrder(orderNum) {

	var param = {
		"auth": auth_code,
		"wecha_id": wecha_id,
		"cinemaCode": cinemaCode,
		"orderNumber": orderNum,
		"currentIp": returnCitySN["cip"]
	}
	console.log(JSON.stringify(param));
	$.ajax({
		url: web_root + "/appService?method=queryWXOrder",
		type: 'post',
		dataType: 'json',
		data: param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("正在加载,请稍后");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		timeout: 10000,
		success: function(data) {
			console.log(data);
			if(data.resultCode === "SUCCESS") {
				openPage('paySuccessCard', 'mine/paySuccessCard.html', {
					"orderNumber": orderNum,
					"auth": auth_code,
					"wecha_id": wecha_id
				});
				
			} else {
				mui.alert(data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			console.log(type);
			alert(type);
			console.log(errorThrown);
		}
	});

}