//监听页面传递数据
window.onload = function() {
	mui.init({
		swipeBack:true //启用右滑关闭功能
	});
	
	mui.back = function(){
		var backPage = plus.storage.getItem("backPage");
		if(backPage == "confirm-pay"){
			var confirmPay = plus.webview.getWebviewById("confirm-payment");
			if(confirmPay){
				mui.fire(confirmPay,"reloadInfo",{});
				plus.storage.removeItem("backPage");
				setTimeout(function(){
					confirmPay.show();
				},200);
				return ;
			}
		}else{
			var arr = ["pages/home.html","pages/shop.html","pages/activity.html","pages/mine.html","filmDetails"];
			var home = plus.webview.getLaunchWebview().id;
			var all = plus.webview.all();
			for(var i in all){
				if($.inArray(all[i].id,arr) ==-1 && all[i].id !=home){
					console.log(all[i].id);
					plus.webview.close(all[i]);
				}
			}
			plus.webview.getLaunchWebview().show();
		}
	};
	
	document.addEventListener('plusready', function() {
		var p = plus.webview.currentWebview();
		//	设置请求参数
		console.log(JSON.stringify(p))
		var parma = {
			"method": "userChargeDetail",
			"auth": p.auth,
			"wecha_id": p.wecha_id,
			"orderNumber": p.orderNumber,
			"appAccess": true
		};
		init(parma);
	});
}
//初始化 获取Url中的参数
function init(data) {
	var Url = '/appService';
	//	获取数据
	getData(Url, data);
}
//获取数据
function getData(Url, Data) {
	$.ajax({
		url: web_root + Url,
		type: 'post',
		data: Data,
		dataType: 'json',
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		success: function(data) {
			if(typeof data == "string") {
				data = eval('(' + data + ')');
			};
			//	填充信息
			displayDetail(data, Data);
		},
		error: function(msg) {
			console.log("请求数据失败：" + msg);
		}
	})
}

function displayDetail(data, Data) {

	console.log(JSON.stringify(data));
	//	影院支付信息
	var orderDto = data.orderChargeDto;
	// 影院支付确认信息
	var payDto = data.orderPayDto;
	//	影院支付活动信息
	var activityDto = data.orderChargeActivityDto;
	//	订单编号
	$('#orderNumber').html(Data.orderNumber);
	//	订单实时时间
	$('#createTime').html(orderDto.CreateTime);
	//	充值金额
	$('#orderAmount').html(orderDto.ChargeAmount.toFixed(2) + "元");
	// 充值卡号
	$('#cardNo').html(orderDto.CrmMemberCard);
	//	订单类型
	$("#orderType").html('充值');
	//	根据是否有活动信息 填充信息
	if(activityDto && activityDto.RuleGroupName) {
		$('#activityName').html(activityDto.RuleGroupName);
	}
	//	支付状态
	$('.orderStatus').html(parseStatus(orderDto.ChargeStatus));
	//	手机号码
	$("#user-pay-phone").html(payDto.alipay_buyer_email)
	// 支付信息
	$('#payInfo').html(payDto.OrderPayTypeName + (payDto.PayAmount ? payDto.PayAmount.toFixed(2) : 0.00) + "元");
}

function parseStatus(value) {
	switch(value) {
		case 'SUCCESS':
			return '成功';
		case 'PAY_SUCCESS':
			return '充值中';
		default:
			return '失败';
	}
}