var userTicketPageSize = 3;
var used_coupon_list = [];
var my_coupon_list = [];

function initCouponHtml(){
	if(!hasLoadCoupons){
		loadUserTickets();
		$('#add_ticket_list').find('.add_ticket').remove();
	}
	$('#addTicketBtn').unbind('click').click(function(){
		var val = $('#input_ticket_num').val();
		if($.trim(val) == ''){
			mui.alert('请输入票券号');
			return;
		}
		var ticketReg = /^\d{12}$/;
		if(!ticketReg.test(val)){
			mui.alert('请输入12位纯数字票券编号');
			return;
		}
		dealTicketUsed(val);
	});
	
	// ios 触发输入焦点
	$('#input_ticket_num').off("tap").on('tap',function(){
		$(this).focus();
	})
	
	$('#back_to_pay').unbind('click').click(function(){
		if(discountDto.ordersVo.totalMemberPricePay <= 0){
			var notPayType = 'CRM';
			if(isNull($('#onlyOneCard').attr("cardnoValue"))){
				notPayType = 'ALIPAY';
			}
			payment(notPayType);
		}else{
			$(".warpdiv").hide(); 
			$('.accountstext').show();
			$("#back_btn").addClass("mui-action-back");
		}
	});

	var callType = sessionStorage.getItem('callType');
	if(callType == 'weixin'){
		wxConfig({callback : function(){
			if(isConfig){
				$('.ui_scan').unbind('click').click(function(){
						//扫描票券号
						wx.scanQRCode({
						    needResult: 1, // 默认为0，扫描结果由微信处理，1则直接返回扫描结果，
						    scanType: ["qrCode","barCode"], // 可以指定扫二维码还是一维码，默认二者都有
						    success: function (res) {
						    	var result = res.resultStr; // 当needResult 为 1 时，扫码返回的结果
								if(result.indexOf(",")){
									var resultArr  = result.split(",");
									if(resultArr[1] == undefined || resultArr[1] == null || resultArr[1] == "")
									{
										result = resultArr[0];
									}
									else
									{
										result = resultArr[1];
									}
								}
							    $('#input_ticket_num').val(result);
							}
						});
				}).show();
			}else{
				$('.ui_scan').hide();
			}
		}});
	}else{
		var top_parentModel = getAppModel();
		if(top_parentModel != null){
			$('.ui_scan').unbind('click').click(function(){
				top_parentModel.scan(function(res){
					if(res && $.trim(res) != '')
						$('#input_ticket_num').val(res);
				});
			}).show();
		}else{
			$('.ui_scan').hide();
		}
	}
}

function scaned(t, r){
	console.log(t+"  "+ r );
	if(!isNull(r)){
		$('#input_ticket_num').val(r);
	}
}

//加载用户票券
function loadUserTickets() {
	var cardNo = $('#onlyOneCard').attr("cardnoValue");
	if(isNull(cardNo)){
		console.log("未登录，不查票券信息！");
		return ;
	}
	var param = getAppBaseParam();
	param.CinemaCode = discountDto.ordersVo.cinemaCode;
	param.cardNo = cardNo;
	console.log("param---> "+JSON.stringify(param))
	$.ajax({ 
        url : web_root+'/appService?method=loadUserTickets',
        type : 'post',
        dataType:'json',
        data:param,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	console.log();
			var consumeRecordObj = $(".my_ticket_list");
			consumeRecordObj.empty();
			consumeRecordObj.append('<div class="font14-262 my_ticket_count" style="padding:20px 0 10px;">我的票券（0张）</div>');
			$('.coupon_list').parent().parent().show();
			if(isNull(data)){
	        	$('.coupon_count').html("（无可用票券）");
	        	$('.used_count').html('添加');
			}else if ((typeof data == "string" && data == 'NOT_SUPPORT_CRM_TICKET_PAY')) {
	        	$('.coupon_list').parent().parent().hide();
			}else{ 
				if(typeof data == "string") data = eval('(' + data + ')');
				$('.my_ticket_count').html("我的票券（"+data.length+"张）");
				$('.my_ticket').remove();
				$('.coupon_count').html('（'+data.length+'张待用）');
				$('.used_count').html('添加');
				if ( data.length > 0) {
//					coupon_list = data;
					my_coupon_list = data;
					renderMyTicket(data);
			        initTicketCheckboxEvent();
		       }else{
		        	$('.coupon_count').html("（无可用票券）");
		        	$('.used_count').html('添加');
		        }
			}
			hasLoadCoupons = true;
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
            console.log(errorThrown);
        }
    });
}

/**
 * 渲染我的票券页面
 * @param memberFlowList
 * @return
 */
function renderMyTicket(myTicketList){
	var consumeRecordObj = $(".my_ticket_list");
	if(isNull(myTicketList)){
		var content = "<div class=\"not_info_box\">";
		content += "<div class=\"not_info_pic\"><i><img src=\"/image/ico-norecords.png\" /> </i></div>";
		content += "<div class=\"not_info_txt\">没有查询到相关票券记录~</div></div>";
		consumeRecordObj.append(content);
		console.log("没有交易数据");
	}else{
		$.each(myTicketList,function(i,myTicket){
			//票券状态，0-全部；1-未使用；2-已使用；3-已退货；4-已停用；5-已作废；6-已过期
			var ticketStatus ="未使用";
			if(myTicket.TicketStatus =="USED"){   //已使用
				ticketStatus="已使用";
			}else if(myTicket.TicketStatus =="LOCKED"){   //已锁定
				ticketStatus="已过期";
			}else if(myTicket.TicketStatus == "5"){
				ticketStatus="已作废";
			}else if(myTicket.TicketStatus == "6"){
					ticketStatus="已过期";
			}
			var content = "";
			if(myTicket.TicketType == "3"){		
				content +='<div class="bodyer">';
				content +='<div class="lefttext"><img class="imgcss" src="../../img/mine_ticket_quan.png"></img></div>'; 
				content +='<div class="righttext">'; 
				content +='<span class="ui-ico-act ui-fr"><i id="'+myTicket.TicketNo+'" class="icon_circle_normal" value=""></i></span>';
				content +='<P class="bodyertext"><span class="publictext2">编   号：</span><span class="publictext">'+myTicket.TicketNoDis+'</span></P>';
				content +='</div>';
				content +='</div>'; 
				content +='<div class="footer"></div><div class="footerquan"></div>'; 
			}else{
				var footer_class = "footerquan";
				content +='<div class="bodyer2">';
				content +='<div class="lefttext2">';
				if (myTicket.TicketType == 0) {
					content +='<img class="imgcss" src="../../img/mine_ticket_dui.png"></img>';
					footer_class = "footerdui";
				} else if (myTicket.TicketType == 1) {
					content +='<img class="imgcss" src="../../img/mine_ticket_you.png"></img>';
					footer_class = "footeryou";
				} else if (myTicket.TicketType == 2){
					content +='<img class="imgcss" src="../../img/mine_ticket_dai.png"></img>';
					footer_class = "footerdai";
				}else {
					content +='<img class="imgcss" src="../../img/mine_ticket_quan.png"></img>';
				}
				content +='</div>'; 
				content +='<div class="righttext">'; 
				content +='<div class="headertext">'+myTicket.TicketName+'</div>';
				content +='<span class="ui-ico-act ui-fr"><i id="'+myTicket.TicketNo+'" class="icon_circle_normal" value=""></i></span>';
				content +='<P class="bodyertext2"><span class="publictext2">编   号：</span><span class="publictext">'+myTicket.TicketNoDis+'</span></P>';
				content +='<div class="footertext"><span class="publictext2">有效期：</span><span class="publictext">'+myTicket.ValidateTimeStartStr+"至"+myTicket.ValidateTimeEndStr+'</span></div>';
				content +='</div>';
				content +='</div>'; 
				content +='<div class="footer"></div><div class="'+footer_class+'"></div>';
			}
			consumeRecordObj.append(content);
		});
	}
}

function parseTicketType(ticketType){
	ticketType = parseInt(ticketType);
	var ticketTypeNameTemp = '';
	//0、兑换券；1、代金券；2、优惠券
	if (ticketType == 0) {
		ticketTypeNameTemp = '兑';
	} else if (ticketType == 1) {
		ticketTypeNameTemp = '代';
	} else if (ticketType == 2){
		ticketTypeNameTemp= '优';
	}else {
		ticketTypeNameTemp= '券';
	}
	return ticketTypeNameTemp;
}

function initTicketCheckboxEvent() {
	$('.ui-ico-act').unbind('click').click(function() {
		var i = $(this).find('i');
		if(i.hasClass('icon_circle_no')){
			cancelUsedTicket(i.attr('id'),this);
		}else{
			dealTicketUsed(i.attr('id'),this);
		}
	});
}

//使用优惠券
function dealTicketUsed(ticketNo,obj) {
	ticketNo = ticketNo;
	var tp = getAppBaseParam();
	tp.orderNumber = orderNumber;
	tp.ticketNo = ticketNo;
	tp.isOscar=isOscar;
	tp.isNotFirst = 'true';
	tp.cardNo = isNull($('#onlyOneCard').attr("cardnoValue")) ? "" : $('#onlyOneCard').attr("cardnoValue");
	if (obj == undefined) {
		var isUsed = false;
		$.each(used_coupon_list,function(i,item){
			if(item.ticketNo == ticketNo){
				isUsed = true;
				return false;
			}
		})
		if(isUsed){
			mui.alert('该优惠券已使用,请选择其他优惠券');
			return;
		}
	}
	$.ajax({ 
        url : web_root+'/appService?method=getDiscountOrderDto',
        type : 'post',
        dataType:'json',
        data:tp,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	if (isNull(data)) {
	        	return;
			}
			if(typeof data == "string") data = eval('(' + data + ')');
			if (data.state == "1" || data.state == 1) {
				if(data.msgCode != 'SUCCESS'){
					if(data.msgCode == 'ERROR_PRICE'){
			   			mui.alert(data.msg, '', function() {
				        	goBackIndex();
						});
					}else{
						mui.alert(data.msg);
						return;
					}
				}
				discountDto = data;
				chooce_mers = discountDto.orderItemVos;
				//获取页面上的已选商品
				var new_chooce_mers = [];
				$.each(chooce_mers,function(i,item){
					if(item.itemType == 'TICKET'){
						new_chooce_mers.push(item);
					}
				});
				
				var page_select_mers = getMers();
				console.log("page_select_mers === "+JSON.stringify(page_select_mers))
				$.each(page_select_mers,function(i,item){
					var count = item.count;
					for(var i=0;i<count;i++){
						var mer = {
				            "id": item.Id, 
				            "itemKey": item.MerUid, 
				            "orderNumber": orderNumber, 
				            "itemType": "MER", 
				            "itemName": item.MerName, 
				            "count": 1, 
				            "unMemberPrice": item.SettlePrice, 
				            "memberPrice": item.SettlePrice, 
				            "memberCinemaPrice": 0, 
				            "unMemberCinemaPrice": 0, 
				            "creditPrice": 0, 
				            "servicePrice": 0, 
				            "serviceAddFee": 0
						};
						new_chooce_mers.push(mer);
					}
				});
				
				if (obj == undefined && ($('#'+ticketNo) == undefined || $('#'+ticketNo).attr('class') == undefined)) {
					addInputTicket(data.usedTicketDto);
				}
				dealCheckTicketCheckbox(ticketNo, true);
				initSelectedSeatView();
				//从页面元素加载卖品数据 ，loadFromPage : true
	   			initChooceMer(true);
	   			initPriceHtml();
	   			if (isNull(obj)) {
	   				$('#input_ticket_num').val('').focus();
	   			}else{
	   				$('#input_ticket_num').val('');
	   			}
	   			var ticket = data.usedTicketDto;
	   			if(ticket.ticketType == '1'){
	   				$.each(data.cashCouponPayVos,function(i,item){
	   					if(item.ticketNum == ticket.ticketNo){
	   						ticket.creditAmount = item.memberMoneyPay;
	   						return false;
	   					}
	   				});
	   			}
	   			used_coupon_list.push(ticket);
	   			changePayDetail();
			}
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
            console.log(errorThrown);
        }
   });
}

function dealCheckTicketCheckbox(ticketNo, checked) {
	if(!checked){
		$('#'+ticketNo).removeClass('icon_circle_no').addClass('icon_circle_normal');
	}else{
		$('#'+ticketNo).removeClass('icon_circle_normal').addClass('icon_circle_no');
	}
}

//添加优惠券后组装优惠券显示HTML
function addInputTicket(ticketInput) {
	console.log(JSON.stringify(ticketInput))
	$('#add_ticket_list').show();
	var ticketTypeNameTemp = parseTicketType(ticketInput.ticketType);
	var addTicketList = $('#add_ticket_list');
	var content = "";
	
	var footer_class = "footerquan";
				content +='<div class="bodyer">';
				content +='<div class="lefttext2">';
				if (ticketInput.ticketType == 0) {
					content +='<img class="imgcss" src="../../img/mine_ticket_dui.png"></img>';
					footer_class = "footerdui";
				} else if (ticketInput.ticketType == 1) {
					content +='<img class="imgcss" src="../../img/mine_ticket_you.png"></img>';
					footer_class = "footeryou";
				} else if (ticketInput.ticketType == 2){
					content +='<img class="imgcss" src="../../img/mine_ticket_dai.png"></img>';
					footer_class = "footerdai";
				}else {
					content +='<img class="imgcss" src="../../img/mine_ticket_quan.png"></img>';
				}
				content +='</div>'; 
				content +='<div class="righttext">'; 
				content +='<div class="headertext">'+ticketInput.ticketName+'</div>';
				content +='<span class="ui-ico-act ui-fr"><i id="'+ticketInput.ticketNo+'" class="icon_circle_normal" value=""></i></span>';
				content +='<P class="bodyertext2"><span class="publictext2">编   号：</span><span class="publictext">'+ticketInput.TicketNoDis+'</span></P>';
//				content +='<div class="footertext"><span class="publictext2">有效期：</span><span class="publictext">'+ticketInput.validateTimeStartStr+"至"+ticketInput.validateTimeEndStr+'</span></div>';
				content +='</div>';
				content +='</div>';
				content +='<div class="footer"></div><div class="'+footer_class+'"></div>';
	
	var temp = $(content);
	var ico_act = temp.find('.ui-ico-act').find('i');
	ico_act.attr('id',ticketInput.ticketNo);
//	addTicketList.append(content);
	addTicketList.after(temp);
	initTicketCheckboxEvent();
}
//取消使用票券
function cancelUsedTicket(ticketNo) {
	var tp = getAppBaseParam();
	tp.orderNumber = orderNumber;
	tp.ticketNo = ticketNo;
	tp.cardNo = $('#onlyOneCard').attr("cardnoValue");
	$.ajax({ 
        url : web_root+'/appService?method=cancelTicket',
        type : 'post',
        dataType:'json',
        data:tp,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	if (isNull(data)) {
	        	return;
			}
			if(typeof data == "string") data = eval('(' + data + ')');
			if(data.msgCode != 'SUCCESS'){
				$('.normal_li_'+ticketNo).remove();
				mui.alert(data.msg);
				return;
			}
			discountDto = data;
			chooce_mers = discountDto.orderItemVos;
			
			
			dealCheckTicketCheckbox(ticketNo, false);
			initSelectedSeatView();
   			initChooceMer(true);
   			initPriceHtml();

   			used_coupon_list = used_coupon_list.filter(function(item){
   				return item.ticketNo != ticketNo;
   			});
   			changePayDetail();
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
            console.log(errorThrown);
        }
    });
	
}

//手动输入票券进行验证
function valiTicketInput() {
	var ticketInput = $("#input_ticket_num").val();
	if (isNull(ticketInput)) {
		return;
	}
	dealTicketUsed(ticketInput);
}

//重新绘制支付明细
function changePayDetail(){
	var totalCreditPrice = 0.00;
	var groupTickets = [];
	$.each(used_coupon_list,function(i,item){
		var repeat = false;
		$.each(groupTickets,function(j,t){
			if(t.ticketType == item.ticketType){
				t.creditAmount += item.creditAmount;
				t.cashCouponAmount += item.cashCouponAmount;
				t.count += 1;
				repeat = true;
				return false;
			}
		});
		if(!repeat){
			item.count = 1;
			var temp = {};
			groupTickets.push($.extend(temp,item));
		}
	});
	
	$('.ui-pay-detail-box').find('.payDetailAppend').remove();
	$.each(groupTickets,function(i,item){
		totalCreditPrice += item.creditAmount;
		var ticketName = item.ticketType == '0' ? '兑换券' : item.ticketType == '1' ? '代金券' :'优惠券';
		var temp = '<div class="pa10 movie_ticket_info">' +
			'<span class="font13-666">'+ticketName+'×'+item.count+'</span>'+
			'<span class="mui-pull-right font13-262">-¥'+item.creditAmount+'</span>'+
			'</div>';
		$('.movie_ticket_info_list').append($(temp));
	});
	if(used_coupon_list.length < 1){
//		my_coupon_list
		if(my_coupon_list.length<1){
			$('.coupon_count').html("（无可用票券）");
		}
		$('.used_count').html('未使用，添加');
	}else{
		if(my_coupon_list.length<1){
			$('.coupon_count').html("");
		}
		$('.used_count').html('已使用'+used_coupon_list.length+'张，添加');
	}
	$('#credit_price').html(totalCreditPrice.toFixed(2));
}

//获取使用票券的总额
function getUsedTicketTotalAmount(){
	var totalCreditPrice = 0.00;
	var groupTickets = [];
	$.each(used_coupon_list,function(i,item){
		totalCreditPrice += item.creditAmount;
	});
	return totalCreditPrice;
}

//支付
function payment(orderType){
	var obj = $(this);
	if ($(this).hasClass("disableSubmint")) {
//		防止重复提交
		return;
	}
	var receviePhone = $('#orderPhone').val();
	if(isNull(receviePhone)){
		mui.alert('请输入接收取票码手机号');
		return;
	}
	$(this).addClass("disableSubmint");
	var OrderPayType = 'NOT_NEED_PAY';
	var notPayType = orderType;
	var payAgainUrl = web_root + "/appService?method=paymentV2";
	var payAgainUrlP = getAppBaseParam();
	payAgainUrlP.orderPayType = OrderPayType;
	payAgainUrlP.orderNumber = orderNumber;
	payAgainUrlP.phone = $('#orderPhone').val();
	payAgainUrlP.notPayType = notPayType;
	//提交订单，执行锁座
    $.ajax({ 
        url : web_root+'/appService?method=paymentV2',
        type : 'post',
        dataType:'json',
        data:payAgainUrlP,
		beforeSend: function() {
			plus.nativeUI.showWaiting("");
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
        timeout : 10000,
        success : function(data){
        	if(typeof data == "string") data = eval('(' + data + ')'); 
			myprint(data);
			if (data.state == 0 ) {
				if (!isNull(data.msgCode) && data.msgCode == 'NEED_PAY') {
					need_pay = true;
					mui.alert(data.msg);
				}else{
			        mui.alert(data.msg, function() {
			        	goBackIndex();
					});
				}
			}else{
				obj.removeClass("disableSubmint");
				plus.storage.setItem('showPrint','true');
	   	  		ordersDetail(data.msg);
			}
        },
        error : function(xhr,type,errorThrown){
            console.log(JSON.stringify(xhr));
            console.log(type);
            console.log(errorThrown);
        }
    });
}
