function resetMerCount(mId){
	var $lis = $("[data-id="+mId+"]");
	var count = getMerSelectCount(mId);
	for(var i=0;i<$lis.length;i++){
		var span = $($lis[i]).find("span");
		span.text(count);
	}
}

//获取单个卖品已选数量
function getMerSelectCount(merId){
	var totalCount = 0;
	$.each(selectMersData,function(i,item){
		if(item.Id == merId){
			totalCount = parseInt(item.count);
			return;
		}
	});
	return totalCount;
}

//获取单个卖品
function getMerSelect(merId){
	var mer = null;
	$.each(selectMersData,function(i,item){
		if(item.Id == merId){
			mer = item;
			return;
		}
	});
	return mer;
}

function addCartMers(mer,attachDir){
	var price = mer.SettlePrice;
	var uid = mer.MerUid;
	var mId = mer.Id;
	var merName = mer.MerName;
	var merImgUrl = mer.MerImgUrl;
	var merDesc = mer.MerDesc;
	var flag = false;
	var canAdd = true;
	for(var i in selectMersData){
		if(selectMersData[i].Id == mId){
			flag = true;
			if(selectMersData[i].count + 1 > MaxSingleGoodsSelect){
				canAdd = false;
			}else{
				selectMersData[i].count = selectMersData[i].count + 1;
			}
		}
	}
	if(!canAdd){
		return;
	}
	if(!flag){
		var obj = {
			"SettlePrice":price,
			"count":1,
			"Id":mId,
			"MerUid":uid,
			"MerName":$.trim(merName),
			"MerImgUrl":$.trim(merImgUrl),
			"AttachDir":$.trim(attachDir),
			"MerDesc":$.trim(merDesc)
		};
		selectMersData.push(obj);
	}
	resetMerCount(mId);
	var shopPage = plus.webview.getWebviewById('pages/shop.html');
	mui.fire(shopPage,'resetData',{
	    selectMersData:selectMersData
	});
	if(flag){
		var shopMallPage = plus.webview.getWebviewById('shop-mall');
		mui.fire(shopMallPage,'resetData',{
		    selectMersData:selectMersData
		});
	}
}

function reduceCartMers(mer){
	var merIndex = 0; 
	var selectMerCount = 0;
	for(var i in selectMersData){
		if(selectMersData[i].Id == mer.Id){
			selectMersData[i].count = selectMersData[i].count - 1;
			merIndex = i;
			selectMerCount = selectMersData[i].count;
			break;
		}
	}
	if(selectMerCount == 0){
		selectMersData.splice(merIndex,1);
	}
	resetMerCount(mer.Id);
	var shopPage = plus.webview.getWebviewById('pages/shop.html');
	if(shopPage){
		mui.fire(shopPage,'resetData',{
		    selectMersData:selectMersData
		});
	}
	var shopMallPage = plus.webview.getWebviewById('shop-mall');
	if(shopMallPage){
		mui.fire(shopMallPage,'resetData',{
		    selectMersData:selectMersData
		});
	}
}

/**
 * 获取购买的卖品总数
 */
function getTotalMersCount(){
	var totalCount = 0.0;
	$.each(selectMersData,function(i,item){
		totalCount += parseInt(item.count);
	});
	return totalCount;
}

/**
 * 获取购买的卖品总金额
 */
function getTotalMersPrice(){
	var totalCount = 0;
	$.each(selectMersData,function(i,item){
		totalCount += parseInt(item.count) * parseFloat(item.SettlePrice);
	});
	return totalCount.toFixed(2);
}